<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: udp_status_buffer Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">udp_status_buffer Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for udp_status_buffer:</div>
<div class="dyncontent">
<div class="center"><img src="classudp__status__buffer__inherit__graph.png" border="0" usemap="#udp__status__buffer_inherit__map" alt="Inheritance graph"/></div>
<map name="udp__status__buffer_inherit__map" id="udp__status__buffer_inherit__map">
<area shape="rect" id="node2" href="classUDP__if.html" title="UDP_if" alt="" coords="41,80,108,107"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classudp__status__buffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classudp__status__buffer_1_1rtl.html">rtl</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classudp__status__buffer.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa5ef444547ebcf2aa7c577814a7115e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5ef444547ebcf2aa7c577814a7115e4"></a>
<a class="el" href="classudp__status__buffer.html#aa5ef444547ebcf2aa7c577814a7115e4">BUFWIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a7419502a7bb4753a64f2f8f5c70868fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7419502a7bb4753a64f2f8f5c70868fc"></a>
<a class="el" href="classudp__status__buffer.html#a7419502a7bb4753a64f2f8f5c70868fc">ADDRWIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aee67d40dd981a5ed2dc7ffc6e60c72c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee67d40dd981a5ed2dc7ffc6e60c72c6"></a>
<a class="el" href="classudp__status__buffer.html#aee67d40dd981a5ed2dc7ffc6e60c72c6">mac_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30edc057224a224ee08bf5e3ac9b03fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30edc057224a224ee08bf5e3ac9b03fd"></a>
<a class="el" href="classudp__status__buffer.html#a30edc057224a224ee08bf5e3ac9b03fd">rst_macclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac576d9858cbb9467d70626a3c42b9dd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac576d9858cbb9467d70626a3c42b9dd6"></a>
<a class="el" href="classudp__status__buffer.html#ac576d9858cbb9467d70626a3c42b9dd6">rst_ipb_125</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35ad2d13752d3f71600b0cc59cd1e79e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35ad2d13752d3f71600b0cc59cd1e79e"></a>
<a class="el" href="classudp__status__buffer.html#a35ad2d13752d3f71600b0cc59cd1e79e">rx_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83e490488d56aeeb16a929f6450bbe98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83e490488d56aeeb16a929f6450bbe98"></a>
<a class="el" href="classudp__status__buffer.html#a83e490488d56aeeb16a929f6450bbe98">ipbus_in_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59c99928f3244f2b5d0fc1964da096b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59c99928f3244f2b5d0fc1964da096b0"></a>
<a class="el" href="classudp__status__buffer.html#a59c99928f3244f2b5d0fc1964da096b0">ipbus_out_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69201463e4f9abd3711ed648b5ee015c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69201463e4f9abd3711ed648b5ee015c"></a>
<a class="el" href="classudp__status__buffer.html#a69201463e4f9abd3711ed648b5ee015c">ipbus_out_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c28a59a29110aa021edd3952a3a089a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c28a59a29110aa021edd3952a3a089a"></a>
<a class="el" href="classudp__status__buffer.html#a7c28a59a29110aa021edd3952a3a089a">mac_rx_error</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af781979ff5dc0cf463eb6e1d7331a6d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af781979ff5dc0cf463eb6e1d7331a6d1"></a>
<a class="el" href="classudp__status__buffer.html#af781979ff5dc0cf463eb6e1d7331a6d1">mac_rx_last</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ab0c901a9532ade0062a0950ca8855f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ab0c901a9532ade0062a0950ca8855f"></a>
<a class="el" href="classudp__status__buffer.html#a3ab0c901a9532ade0062a0950ca8855f">mac_tx_error</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3160d8abe5f8b29d8bfc70ebab334c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3160d8abe5f8b29d8bfc70ebab334c5"></a>
<a class="el" href="classudp__status__buffer.html#ae3160d8abe5f8b29d8bfc70ebab334c5">mac_tx_last</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5ab7581f547cc64a1de250988804357"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5ab7581f547cc64a1de250988804357"></a>
<a class="el" href="classudp__status__buffer.html#aa5ab7581f547cc64a1de250988804357">pkt_broadcast</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61809846b1261e2f53e114b83477b7f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61809846b1261e2f53e114b83477b7f6"></a>
<a class="el" href="classudp__status__buffer.html#a61809846b1261e2f53e114b83477b7f6">pkt_drop_arp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a801a3c722686c5220dee06d369403f8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a801a3c722686c5220dee06d369403f8e"></a>
<a class="el" href="classudp__status__buffer.html#a801a3c722686c5220dee06d369403f8e">pkt_drop_ipbus</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaa329055bb6f23194c0487bdafd53afd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa329055bb6f23194c0487bdafd53afd"></a>
<a class="el" href="classudp__status__buffer.html#aaa329055bb6f23194c0487bdafd53afd">pkt_drop_payload</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b5e46e0e36b5cc57ee0ef8df9e685f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b5e46e0e36b5cc57ee0ef8df9e685f0"></a>
<a class="el" href="classudp__status__buffer.html#a2b5e46e0e36b5cc57ee0ef8df9e685f0">pkt_drop_ping</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aafeba63da0c71a98f7af097bbf85641a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafeba63da0c71a98f7af097bbf85641a"></a>
<a class="el" href="classudp__status__buffer.html#aafeba63da0c71a98f7af097bbf85641a">pkt_drop_rarp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab06ee611264745b5ba6764d0d1cfc693"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab06ee611264745b5ba6764d0d1cfc693"></a>
<a class="el" href="classudp__status__buffer.html#ab06ee611264745b5ba6764d0d1cfc693">pkt_drop_reliable</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c9d522168600fd6a8a84a3dcb66ec47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c9d522168600fd6a8a84a3dcb66ec47"></a>
<a class="el" href="classudp__status__buffer.html#a3c9d522168600fd6a8a84a3dcb66ec47">pkt_drop_resend</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9fc0e62cb70b1e4519722c80f029f317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fc0e62cb70b1e4519722c80f029f317"></a>
<a class="el" href="classudp__status__buffer.html#a9fc0e62cb70b1e4519722c80f029f317">pkt_drop_status</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ed2b780090a993deb490e221961ab7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ed2b780090a993deb490e221961ab7b"></a>
<a class="el" href="classudp__status__buffer.html#a3ed2b780090a993deb490e221961ab7b">pkt_rcvd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9a7878337cfbba55a092ba6d3f8a2ad1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a7878337cfbba55a092ba6d3f8a2ad1"></a>
<a class="el" href="classudp__status__buffer.html#a9a7878337cfbba55a092ba6d3f8a2ad1">req_not_found</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2741986c1cf3026088c4167ef1cdb401"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2741986c1cf3026088c4167ef1cdb401"></a>
<a class="el" href="classudp__status__buffer.html#a2741986c1cf3026088c4167ef1cdb401">rx_ram_sent</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aef48cb23641931fbe6b39864cb9f58d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef48cb23641931fbe6b39864cb9f58d9"></a>
<a class="el" href="classudp__status__buffer.html#aef48cb23641931fbe6b39864cb9f58d9">rx_req_send_125</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a453f5a43185765bc8658d749d607ffcc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a453f5a43185765bc8658d749d607ffcc"></a>
<a class="el" href="classudp__status__buffer.html#a453f5a43185765bc8658d749d607ffcc">rxpayload_dropped</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09c5790c268e87b52740f5d5841cfd39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09c5790c268e87b52740f5d5841cfd39"></a>
<a class="el" href="classudp__status__buffer.html#a09c5790c268e87b52740f5d5841cfd39">rxram_dropped</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a904cbb6cd3d1177fc1353c5f43678fb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a904cbb6cd3d1177fc1353c5f43678fb0"></a>
<a class="el" href="classudp__status__buffer.html#a904cbb6cd3d1177fc1353c5f43678fb0">status_request</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c8ac0aa8ad869c5b03ad1e94675bc84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c8ac0aa8ad869c5b03ad1e94675bc84"></a>
<a class="el" href="classudp__status__buffer.html#a8c8ac0aa8ad869c5b03ad1e94675bc84">tx_ram_written</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af2d5d6435d0d2969e904f2473ae87746"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2d5d6435d0d2969e904f2473ae87746"></a>
<a class="el" href="classudp__status__buffer.html#af2d5d6435d0d2969e904f2473ae87746">udpram_send</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa09f4e590b08023a3161b1fe55356775"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa09f4e590b08023a3161b1fe55356775"></a>
<a class="el" href="classudp__status__buffer.html#aa09f4e590b08023a3161b1fe55356775">next_pkt_id</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a281f38211f2c3da343e5c6c124fed44a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a281f38211f2c3da343e5c6c124fed44a"></a>
<a class="el" href="classudp__status__buffer.html#a281f38211f2c3da343e5c6c124fed44a">status_block</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__status__buffer_8vhd_source.html#l00009">9</a> of file <a class="el" href="udp__status__buffer_8vhd_source.html">udp_status_buffer.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__status__buffer_8vhd_source.html">udp_status_buffer.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
